aboutsummaryrefslogtreecommitdiffstats
path: root/testing/openlldp/openlldp.initd
diff options
context:
space:
mode:
authorAndrew Manison <amanison@anselsystems.com>2011-02-16 19:14:26 +0000
committerAndrew Manison <amanison@anselsystems.com>2011-02-16 19:14:26 +0000
commit71e39ce025e46b17e9634cb8fdeec7af04f2f0fa (patch)
treeab6569d59ab7f79ae8cb7c677658f9ba12854069 /testing/openlldp/openlldp.initd
parent01fd4f6611dd2b61cd8ceee01b4a454d74bbbc51 (diff)
parent692f71db5a7621fe29b255de3ef9ae973b74eacb (diff)
downloadaports-71e39ce025e46b17e9634cb8fdeec7af04f2f0fa.tar.bz2
aports-71e39ce025e46b17e9634cb8fdeec7af04f2f0fa.tar.xz
Merge branch 'master' of ssh://git.alpinelinux.org/gitroot/aports-amanison
Conflicts: main/iaxmodem/APKBUILD
Diffstat (limited to 'testing/openlldp/openlldp.initd')
-rwxr-xr-xtesting/openlldp/openlldp.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/openlldp/openlldp.initd b/testing/openlldp/openlldp.initd
new file mode 100755
index 0000000000..4ab856addc
--- /dev/null
+++ b/testing/openlldp/openlldp.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+NAME="lldpd"
+DAEMON="/usr/sbin/$NAME"
+pidfile=/var/run/$NAME.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet --pidfile ${pidfile} \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}
+